/**
* Copyright © [2024] [GST378]. All rights reserved.
* Personal use only. Modifications and redistribution are prohibited.
* See LICENSE file for details.
*/
import { ModalFormData } from '@minecraft/server-ui';

export function SavePaintingForm(player) {
    const form = new ModalFormData().title({ translate: 'ui.dynamic_paintings_gst.save_painting_ui.title' })
    .textField({ translate: 'ui.dynamic_paintings_gst.save_painting_ui.painting_title' }, { translate: 'ui.dynamic_paintings_gst.save_painting_ui.painting_title_text_box' })
    .textField({ translate: 'ui.dynamic_paintings_gst.save_painting_ui.author' }, { translate: 'ui.dynamic_paintings_gst.save_painting_ui.author_text_box' }, player.name)
    .submitButton({ translate: 'ui.dynamic_paintings_gst.confirm_button' });
    return form;
}