/**
* Copyright © [2024] [GST378]. All rights reserved.
* Personal use only. Modifications and redistribution are prohibited.
* See LICENSE file for details.
*/
import { ModalFormData } from '@minecraft/server-ui';
export const ExposureForm = (exposureValue = 30, lightenOrDarken = false) => new ModalFormData().title({ translate: 'ui.dynamic_paintings_gst.exposure.title' })
.slider(
{ rawtext: [
    { text: '\n\n§7' },
    { translate: 'ui.dynamic_paintings_gst.exposure.body_0' },
    { text: '\n\n§r§f' },
    { translate: 'ui.dynamic_paintings_gst.exposure.slider_0' }]
}, 0, 100, 2, exposureValue)
.toggle({ translate: 'ui.dynamic_paintings_gst.exposure.toggle_0' }, lightenOrDarken)
.submitButton({ translate: 'ui.dynamic_paintings_gst.confirm_button' });